com.informix.jdbc

## Class IfxOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FileOutputStream
    - - com.informix.jdbc.IfxOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class IfxOutputStream
    extends java.io.FileOutputStream

JDBC 2.0 A IfxOutputStream is a subclass of OutputStream. This class will overwrite OutputStream's close method to close the underlying IfxTmpFile

### Constructor Summary

Constructors
Constructor and Description
`IfxOutputStream(IfxTmpFile tempFile)`

### Method Summary

Methods
`void` `close()`
`void` `finalize()`

### Methods inherited from class java.io.FileOutputStream

`getChannel, getFD, write, write, write`

### Methods inherited from class java.io.OutputStream

`flush`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxOutputStream

    public IfxOutputStream(IfxTmpFile tempFile)
                    throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FileOutputStream`
Throws:
  `java.io.IOException`

#### finalize

    public void finalize()

Overrides:
  `finalize` in class `java.io.FileOutputStream`